@import "../../../assets/styles/colors";
@import "../../../assets/styles/mixins";

:host {
  display: block;
  margin-top: 80px;
}

.creating_wrapper {
  display: flex;
  flex-direction: column;
  max-width: 1152px;
  width: 100%;
  margin: 0 auto;
  align-items: center;
}

.creating_main {
  display: flex;
  align-items: center;
  flex-direction: column;
}

.article_tags_checked {
  background-color: $blue-color;
  background-image: url(../../../assets/images/checked.svg);
  background-repeat: no-repeat;
  background-position: 12px 8px, bottom right;
  padding-left: 40px;
}

.files_area {
  position: relative;
  width: 100%;
  height: 116px;
  border: 1px dashed $font-secondary-color;
  border-radius: 4px;
  margin: 65px 0 6px 0;
  z-index: 10;
}

.article_tags_list {
  display: flex;
  flex-direction: row;
  width: 100%;
  justify-content: flex-start;
  margin-bottom: 60px;
  flex-wrap: wrap;
}

.files_drop {
  position: absolute;
  top: calc(50% - 65px / 2 / 2);
  left: calc(50% - 345px / 2 / 2);
  z-index: 100;
  width: 230px;
  height: 30px;
}

.files_drop:hover, .new_block_btn:hover {
  @include boxShadowDefault;
}

#files_drop {
  display: none;
}

h6 {
  font-style: normal;
  font-weight: 600;
  font-size: 18px;
  line-height: 24px;
  display: flex;
  align-items: center;
  letter-spacing: 0.0075em;
  color: #333333;
  margin: 15px 0;
}

#creating_input1,
#creating_input2,
#creating_input3 {
  border: 1px solid $font-secondary-color;
  border-radius: 4px;
  background: inherit;
  width: 100%;
}

#creating_input1 {
  height: 72px;
  font-weight: bold;
  font-size: 42px;
  line-height: 56px;
}

#creating_input1::placeholder {
  padding: 5px 20px 5px 0;
  font-weight: bold;
  font-size: 42px;
  line-height: 56px;
  display: flex;
  align-items: center;
  letter-spacing: -0.005em;
  color: #828282;
}

#creating_input2 {
  height: 56px;
  font-weight: bold;
  font-size: 24px;
  line-height: 132%;
}

#creating_input2::placeholder {
  padding: 5px 20px 5px 0;
  font-weight: bold;
  font-size: 24px;
  line-height: 132%;
  display: flex;
  align-items: center;
  color: #828282;
}

#creating_input3 {
  height: 288px;
}

.new_block_btn, .files_drop {
  border-radius: 5px;
  padding: 5px;
  background-color: inherit;
  font-weight: 600;
  font-size: 14px;
  line-height: 142%;
  letter-spacing: 0.005em;
  color: $font-secondary-color;
  border: 0 solid;
  width: auto;
  cursor: pointer;
  margin-bottom: 20px;
}

.new_block_btn {
  width: 140px;
  margin-top: 30px;
}

.files_drop {
  margin-bottom: 0;
  text-align: center;
  display: flex;
  align-items: center;
}

.new_block_btn:active, .files_drop:active {
  @include boxShadowActive;
}

.new_block_btn::before, .files_drop::before {
  content: "";
  padding: 9px 0 9px 30px;
  background-repeat: no-repeat;
  background-position: left;
  background-image: url(../../../assets/images/add_icon.svg);
}

.hover_drag {
  border: 1px dashed rgb(18, 243, 18);
}

.cursor_nodrop {
  cursor: no-drop;
}

.hidden {
  display: none;
}

#dropped_img {
  max-width: 50%;
  margin: 0 auto;
  padding: 30px 0;

}

#drag_form {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.creating_block {
  display: flex;
  flex-direction: column;
  max-width: 100%;
}

.delete_btn, .delete_article_btn {
  width: 100px;
  height: 25px;
  border: 0 solid;
  border-radius: 10px;
  background-color: rgb(245, 103, 103);
  margin-bottom: 10px;
}

.delete_btn:hover,
.delete_article_btn:hover {
  cursor: pointer;
  background-color: rgb(247, 17, 17);
}

.form_buttons {
  display: flex;
  justify-content: flex-end;
  margin: 20px 0 20px 0;
}

#preview {
  margin-right: 30px;
  background: inherit;
  border: 1px solid #F2C94C;
}

#preview:hover {
  background: #f2c84c5c;
}

.form_button {
  color: $button-font-color;
  width: 138px;
  height: 48px;
  background: #F2C94C;
  border-radius: 24px;
  border: 0 solid;
}

.form_button:hover {
  background: rgba(18, 177, 18, 0.762);
}

.invalid_form {
  background: rgba(255, 0, 0, 0.714);
}

.invalid_form:hover {
  background: rgba(255, 0, 0, 0.857);
}

.error_form {
  color: #000;
  background-color: #e65454;
  width: -moz-fit-content;
  width: calc(100% - 8px);
  border-radius: 5px;
  padding-left: 10px;
  font-size: 13px;
  bottom: 0;
  position: absolute;
}

.input_wrapper {
  position: relative;
  width: 100%
}

.spinner_wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  width: 100%;
  height: calc(100vh - 160px);
}

.spinner_block {
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  font-weight: bold;
}

.spinner_text {
  margin-bottom: 10px;
  color: #333333;
  font-size: 30px;
  line-height: 120%;
  letter-spacing: -0.01em;
}
